%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?pyver: %define pyver %(%{__python} -c "import sys ; print sys.version[:3]")}

Name:           fedora-elections
Version:        0.2.1
Release:        1%{?dist}
Summary:        Elections Application for Fedora Project

Group:          Development/Languages
License:        GPLv2
URL:            http://www.fedorahosted.org/elections
Source0:        elections-%{version}.tar.gz
#Patch0:         fedora-elections-0.2.0-import-path.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  python-devel python-setuptools-devel TurboGears
Requires:       TurboGears >= 1.0.4
Requires:       python-sqlalchemy >= 0.4
Requires:       python-fedora >= 0.2.99.10
Requires:       python-genshi

%description
Fedora Elections is a web application designed to process and run elections
for the Fedora Project built with TurboGears.

%prep
%setup -q -n elections-%{version}
#%patch0 -p1

%build
%{__python} setup.py build --install-data='%{_datadir}' --install-conf='%{_sysconfdir}'

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --install-data='%{_datadir}' --install-conf='%{_sysconfdir}' --root %{buildroot}
%{__mkdir_p} %{buildroot}%{_sbindir}
%{__mv} %{buildroot}%{_bindir}/start-elections %{buildroot}%{_sbindir}
%{__cp} examples/elections.wsgi %{buildroot}%{_datadir}/elections/
%{__rm} %{buildroot}%{_sysconfdir}/elections.cfg

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING elections.sql
%{_datadir}/elections/
%{_sbindir}/*
#%attr(640,root,root) %config(noreplace) %{_sysconfdir}/*



%changelog
* Fri Dec 04 2009 Nigel Jones <nigjones@redhat.com> - 0.2.1-1
- Add /verify page

* Sat Nov 28 2009 Nigel Jones <nigjones@redhat.com> - 0.2.0-2
- Patch to fix missing import
 
* Thu Nov 26 2009 Nigel Jones <nigjones@redhat.com> - 0.2.0-1
- New Release with toshio's patches & assorted changes for this election cycle

* Mon Jul 14 2008 Nigel Jones <dev@nigelj.com> - 0.1.5-1
- Bump, some minor improvements etc etc, mainly geared towards FESCo election

* Sat Jun 13 2008 Nigel Jones <dev@nigelj.com> - 0.1.0-5
- Strings bump

* Fri Jun 13 2008 Nigel Jones <dev@nigelj.com> - 0.1.0-4
- Template bump

* Thu Jun 12 2008 Nigel Jones <dev@nigelj.com> - 0.1.0-3
- Another bump

* Thu Jun 12 2008 Nigel Jones <dev@nigelj.com> - 0.1.0-2
- Bump

* Wed Jun 11 2008 Nigel Jones <dev@nigelj.com> - 0.1.0-1
- Ready for initial deployment

* Fri Jun 6 2008 Nigel Jones <dev@nigelj.com> - 0.0.9-1
- Bump

* Thu May 22 2008 Nigel Jones <dev@nigelj.com> - 0.0.5-1
- Initial RPM - Ready to go!
